package com.buzztouch.data_models.db_models

import androidx.room.Entity
import androidx.room.Ignore
import androidx.room.PrimaryKey
import com.buzztouch.data_models.BT_item

@Entity
data class BtRootItem (
    @PrimaryKey(autoGenerate = true) var _id: Int? = null,
    var itemId: String? = null,
    var itemType: String? = null,
    var buzztouchAppId: String? = null,
    var buzztouchAPIKey: String? = null,
    var dataURL: String? = null,
    var reportToCloudURL: String? = null,
    var registerForPushURL: String? = null,
    var lastModified: String? = null,
    var lastPublished: String? = null,
    var name: String? = null,
    var version: String? = null,
    var currentMode: String? = null,
    var startLocationUpdates: String? = null,
    var promptForPushNotifications: String? = null,
    var allowRotation: String? = null,
    @Ignore var BT_themes: List<BT_item>? = null,
    @Ignore var BT_tabs: List<BT_item>? = null,
    @Ignore var BT_menus: List<BT_item>? = null,
    @Ignore var BT_screens: List<BT_item>? = null,
    @Ignore var homeScreenItemId: String? = null
)
