package com.buzztouch.extensions

/**
 * Returns second element.
 * @throws [NoSuchElementException] if the list has less than 2 items.
 */
fun <T> List<T>.second(): T {
    if (size < 2) throw NoSuchElementException("List is empty.")
    return this[1]
}

fun <T> List<T>.toArrayList(): ArrayList<T> = ArrayList(this)
