package com.buzztouch.data_models.db_models

import androidx.room.Entity
import androidx.room.PrimaryKey
import com.buzztouch.data_models.BT_item
import org.json.JSONObject

@Entity
data class BtScreen(
    @PrimaryKey var _id: Int? = null,
    val itemId: String,
    val itemType: String? = null,
    val itemNickname: String? = null,
    val jsonVars: JSONObject? = null,
    val hasChildItems: Boolean = false,
    val parentItemGuid: String? = null,
    val orderIndex: Int = 0
)
